import {
  PriceValueSchema,
  TouchBaseSchema,
  VatValueSchema,
} from '@isa/common/data-access';
import { z } from 'zod';

export const PriceSchema = z
  .object({
    value: PriceValueSchema.describe('Value').optional(),
    vat: VatValueSchema.describe('Value Added Tax').optional(),
  })
  .extend(TouchBaseSchema.shape);

export type Price = z.infer<typeof PriceSchema>;
